#include <afxwin.h>
#include "resource.h"

class MyWindow:public CFrameWnd
{
public:
	int style;

	MyWindow()
	{
		Create(NULL,"Bitmaps - Normal,Stretched & Tiled",
				WS_OVERLAPPEDWINDOW,rectDefault,
				NULL,MAKEINTRESOURCE(IDR_MENU1),NULL);
		style=0;
	}

	void OnBitmap()
	{
		CBitmap bmp;
		BITMAP bm;
		CClientDC dc(this);
		CDC memdc;
		
		bmp.LoadBitmap(IDB_BITMAP1);
		bmp.GetObject(sizeof(BITMAP),&bm);
		memdc.CreateCompatibleDC(&dc);
		memdc.SelectObject(&bmp);
		dc.BitBlt(50,50,bm.bmWidth,bm.bmHeight,&memdc,0,0,SRCCOPY);
	}

	void OnTile()
	{
		style=0;
		InvalidateRect(NULL,FALSE);
	}

	void OnStretch()
	{ 
		style=1; 
		InvalidateRect(NULL,FALSE);
	}

	void OnPaint()
	{
		CBitmap bmp;
		BITMAP bm;
		CClientDC dc(this);
		CDC memdc;
		RECT rect;
		PAINTSTRUCT ps;
		int cx,cy;
		
		BeginPaint(&ps);
		GetClientRect(&rect);
		bmp.LoadBitmap(IDB_BITMAP2);
		bmp.GetObject(sizeof(BITMAP),&bm);
		memdc.CreateCompatibleDC(&dc);
		memdc.SelectObject(&bmp);
		
		
		if(style==0)
		{
				for(cx=0;cx<=rect.right;cx+=bm.bmWidth)
					for(cy=0;cy<=rect.bottom;cy+=bm.bmHeight)
						dc.BitBlt(cx,cy,bm.bmWidth,bm.bmHeight,&memdc,0,0,SRCCOPY);	
		}
		else
		{
			dc.StretchBlt(0,0,rect.right,rect.bottom,&memdc,0,0,bm.bmWidth,bm.bmHeight,SRCCOPY);
		}
		OnBitmap();
		EndPaint(&ps);
	}

	void OnQuit()
	{
		PostQuitMessage(0);
	}

	DECLARE_MESSAGE_MAP()
};
BEGIN_MESSAGE_MAP(MyWindow,CFrameWnd)
	ON_COMMAND(ID_BITMAP,OnBitmap)
	ON_COMMAND(ID_TILE,OnTile)
	ON_COMMAND(ID_STRETCH,OnStretch)
	ON_COMMAND(ID_QUIT,OnQuit)
	ON_WM_PAINT()
END_MESSAGE_MAP()


class MyApp:public CWinApp
{
public:
	BOOL InitInstance()
	{
		MyWindow *obj;
		obj=new MyWindow;
		m_pMainWnd=obj;
		obj->ShowWindow(3);
		return TRUE;
	}
};
MyApp TheApp;